Package org.apache.sysds.common

## Class Types

- java.lang.Object
- - org.apache.sysds.common.Types

    public class Types
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Types.AggOp`
`static class` `Types.BlockType` Serialization block types (empty, dense, sparse, ultra-sparse)
`static class` `Types.CorrectionLocationType`
`static class` `Types.DataType` Data types (tensor, matrix, scalar, frame, object, unknown).
`static class` `Types.Direction` Type of aggregation direction
`static class` `Types.ExecMode` Execution mode for entire script.
`static class` `Types.ExecType` Execution type of individual operations.
`static class` `Types.FileFormat`
`static interface` `Types.FunctionBlock` Common type for both function statement blocks and function program blocks
`static class` `Types.OpOp1`
`static class` `Types.OpOp2`
`static class` `Types.OpOp3`
`static class` `Types.OpOp4`
`static class` `Types.OpOpData`
`static class` `Types.OpOpDG`
`static class` `Types.OpOpDnn`
`static class` `Types.OpOpN`
`static class` `Types.ParamBuiltinOp`
`static class` `Types.ReOrgOp`
`static class` `Types.ReturnType` Type of builtin or user-defined function with regard to its number of return variables.
`static class` `Types.ValueType` Value types (int, double, string, boolean, unknown).

### Constructor Summary

Constructors
`Types()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Types

    public Types()